--- app.c.orig	2005-08-22 23:06:42.000000000 +0400
+++ app.c	2005-08-23 10:51:15.000000000 +0400
@@ -284,10 +284,16 @@
 				f.frametype = AST_FRAME_DTMF;
 				f.subclass = *ptr;
 				f.src = "ast_dtmf_stream";
-				if (strchr("0123456789*#abcdABCD",*ptr)==NULL) {
+				if (strchr("0123456789*#abcdfABCDF",*ptr)==NULL) {
 					ast_log(LOG_WARNING, "Illegal DTMF character '%c' in string. (0-9*#aAbBcCdD allowed)\n",*ptr);
 				} else {
-					res = ast_write(chan, &f);
+                                        if (*ptr == 'f' || *ptr == 'F') {
+                                                /* ignore return values if not supported by channel */
+                                                ast_indicate(chan, AST_CONTROL_FLASH);
+						res = 0;
+                                        } else {
+                                                res = ast_write(chan, &f);
+                                        }
 					if (res) 
 						break;
 					/* pause between digits */
